.icon {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 2.2rem;
    height: 2.2rem;

    svg {
        width: 100%;
        height: 100%;
        display: inherit;
        fill: $color-black;
    }

    &.icon--circle {
        border-radius: 50%;
        height: 4rem;
        width: 4rem;
        padding: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        color: $primary-btn-color-text;
        background-color: $primary-btn-color;
        font-size: 1.6rem;

        &.primary {
            svg {
                fill: $primary-btn-color-text;
            }

            &.disabled {
                background-color: $primary-btn-color-disabled;
                color: $primary-btn-color-disabled-text;

                svg {
                    fill: $primary-btn-color-disabled-text;
                }
            }
        }

        &.secondary {
            color: $secondary-btn-color-text;
            background-color: $secondary-btn-color;
            border: 2px solid $secondary-btn-color-border;

            svg {
                fill: $secondary-btn-color-text;
            }
        }

        &.alert {
            color: $alert-btn-color-text;
            background-color: $alert-btn-color;
            border: 2px solid $alert-btn-color-border;

            svg {
                fill: $alert-btn-color-text;
            }
        }

        &.alert, &.secondary {
            &.disabled {
                border-color: $color-text-lighter;
                color: $color-text-lighter;

                svg {
                    fill: $color-text-lighter;
                }
            }
        }
    }

    &.icon--blue svg {
        fill: $color-blue;
    }

    &.icon--green svg {
        fill: $color-green;
    }

    &.icon--red svg {
        fill: $color-red;
    }

    &.icon--orange svg {
        fill: $color-orange;
    }

    &.icon--grey svg {
        fill: $color-grey-darker;
    }

    &.icon--white svg {
        fill: $color-white;
    }

    &.icon--border-blue svg {
        stroke: $color-blue;
    }

    &.icon--border-black svg {
        stroke: $color-black;
    }

    &.icon--border-green svg {
        stroke: $color-green;
    }

    &.icon--border-red svg {
        stroke: $color-red;
    }

    &.icon--border-orange svg {
        stroke: $color-orange;
    }

    &.icon--border-grey svg {
        stroke: $color-grey-darker;
    }

    &.icon--border-white svg {
        stroke: $color-white;
    }

    &.icon--md {
        width: 3.6rem;
        height: 3.6rem;
    }

    &.icon--lg {
        width: 4.8rem;
        height: 4.8rem;
    }
}
